# m3e/slide

Slide is a carousel-like container used to horizontally cycle through slotted items.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Slide

opaque </>

Slide is a View Model for this component

## Fields:

- selected_index: The zero-based index of the visible item.

    pub opaque type Slide

# Values

## default_selected_index

</>

    pub const default_selected_index: option.Option(Float)

## new

</>

    pub fn new(selected_index: option.Option(Float)) -> Slide

new creates a new Slide with the default configuration.

## render

</>

    pub fn render(
      model: Slide,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Slide

## selected_index

</>

    pub fn selected_index(
      arg: Slide,
      selected_index: option.Option(Float),
    ) -> Slide

selected_index sets the value of selected_index for this Slide.

✨